{
  description = "my overlay";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs {
        inherit system;
        overlays = [
          self.overlays.default
        ];
      };
    in
    {
      overlays.default = final: prev: {
        modules = {
          matrix-alertmanager-receiver = import ./modules/matrix-alertmanager-receiver.nix;
          scanbd = import ./modules/scanbd.nix;
        };

        hacompanion = prev.callPackage ./hacompanion { };
        cpthook = prev.callPackage ./cpthook { };

        python3 = prev.python3.override {
          packageOverrides = python-final: python-prev: {
            pytapo = python-final.callPackage ./pytapo { };
            brother-ql = python-final.callPackage ./brother-ql { };
          };
        };

        #gotosocial = prev.callPackage ./gotosocial { };
        #pulse-secure = prev.callPackage ./pulse-secure { };
        studio-link = prev.callPackage ./studio-link { };
        #nginxModules = prev.recurseIntoAttrs (super.callPackage ./nginx/modules.nix { });
        libedgetpu = final.callPackage ./libedgetpu { };
        neolink = final.callPackage ./neolink { };
        #mealie = final.callPackage ./mealie { };
        gohome = final.callPackage ./gohome { };
        matrix-alertmanager-receiver = final.callPackage ./matrix-alertmanager-receiver { };
        vimPlugins = prev.vimPlugins.extend (final': super': {
          netrw-nvim = prev.callPackage ./netrw-nvim { };
        });
        salt-lint = prev.callPackage ./salt-lint { };
      };
    };
}
